Package org.apache.qpid.proton.engine

# Enum Sasl.SaslState

java.lang.Object
java.lang.Enum<Sasl.SaslState>
org.apache.qpid.proton.engine.Sasl.SaslState

All Implemented Interfaces:
  `Serializable`, `Comparable<Sasl.SaslState>`

Enclosing interface:
  Sasl

public static enum Sasl.SaslState extends Enum<Sasl.SaslState>

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`PN_SASL_CONF`
Pending configuration by application
`PN_SASL_FAIL`
negotiation failed
`PN_SASL_IDLE`
Pending SASL Init
`PN_SASL_PASS`
negotiation completed successfully
`PN_SASL_STEP`
negotiation in progress

## Method Summary

Modifier and Type
Method
Description
`static Sasl.SaslState`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Sasl.SaslState[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PN_SASL_CONF

public static final Sasl.SaslState PN_SASL_CONF
Pending configuration by application

### PN_SASL_IDLE

public static final Sasl.SaslState PN_SASL_IDLE
Pending SASL Init

### PN_SASL_STEP

public static final Sasl.SaslState PN_SASL_STEP
negotiation in progress

### PN_SASL_PASS

public static final Sasl.SaslState PN_SASL_PASS
negotiation completed successfully

### PN_SASL_FAIL

public static final Sasl.SaslState PN_SASL_FAIL
negotiation failed

## Method Details

### values

public static Sasl.SaslState[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Sasl.SaslState valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null